Skip to:
Content
Pages
Categories
Search
Top
Bottom

PHP Error


  • sensifreak
    Member

    @sensifreak

    Hi on the main page of bbpress i have got this error message

    Warning: Invalid argument supplied for foreach() in /home/www/web316/html/ps-t/bb-settings.php on line 294

    and when i want to login this

    Warning: Invalid argument supplied for foreach() in /home/www/web316/html/ps-t/bb-settings.php on line 294

    Warning: Cannot modify header information – headers already sent by (output started at /home/www/web316/html/ps-t/bb-settings.php:294) in /home/www/web316/html/ps-t/bb-includes/pluggable.php on line 193

    Warning: Cannot modify header information – headers already sent by (output started at /home/www/web316/html/ps-t/bb-settings.php:294) in /home/www/web316/html/ps-t/bb-includes/pluggable.php on line 231

Viewing 8 replies - 1 through 8 (of 8 total)

  • chrishajer
    Participant

    @chrishajer

    What version of bbPress did you download? I can’t match up those line numbers at all.


    sensifreak
    Member

    @sensifreak

    the latest i downloaded it yesterday


    chrishajer
    Participant

    @chrishajer

    Was that a trunk release or the 0.8.3.1 release?

    Also, can you look at those two files in your installation and post the code from those lines here? Maybe we can find the source of the problem even without matching up the errors in a current download by using your actual installation.


    sensifreak
    Member

    @sensifreak

    http://bbpress.org/latest.tar.gz

    this file here i think ists the 0.8.3.1


    chrishajer
    Participant

    @chrishajer

    OK – I still don’t see those actual line numbers in that release (in fact bb_settings.php has only 209 lines.) So, can you open up /home/www/web316/html/ps-t/bb-settings.php and post line 294 (maybe a couple before and after as well) and /home/www/web316/html/ps-t/bb-includes/pluggable.php and post lines 193 and 231. The code on those lines will help point the way to solving these problems.

    My hunch is this is related to the glob issue and there being no underscore plugins in a bb-plugins directory. Because there are no plugins that begin with an underscore, and due to problems with the way the glob function is tested for, an error like this can occur.

    You can try installing this plugin to see if it fixes your error, even though the line numbers and messages really don’t match up:

    http://bbpress.org/plugins/topic/bb-benchmark/

    I think you can also just create a bb-plugins directory in your installation root, then in it create a file called something like _nothing.php – I think that also causes this block of code to NOT fail, so you wouldn’t see these warnings.


    kuzanagi
    Member

    @kuzanagi

    You rock men!!!, That was my problem too, and I only put that file “_nothing.php” in my plugins directory and now The forum is working well, thanks a lot for it ^^


    Covi
    Member

    @covi

    Why this change in the plugins system?? oO

    Thx chrishajer ;)


    Sam Bauers
    Participant

    @sambauers

    This, amongst other problems is fixed in version 0.9

Viewing 8 replies - 1 through 8 (of 8 total)

You must be logged in to reply to this topic.